aboutsummaryrefslogtreecommitdiffstats
path: root/testing/kfilemetadata/APKBUILD
diff options
context:
space:
mode:
authorLinux User <se@alpine-desktop.my.domain>2014-10-16 19:52:25 +0400
committerNatanael Copa <ncopa@alpinelinux.org>2014-10-17 13:52:16 +0000
commit9085b73f09d41af164193a3e0b5e22fcce80d503 (patch)
tree5d2e5fa503bf2540ddeed992a4aba407ffa24649 /testing/kfilemetadata/APKBUILD
parent276617c77708f50d68ba9b4c87a866399ddd7250 (diff)
downloadaports-9085b73f09d41af164193a3e0b5e22fcce80d503.tar.gz
aports-9085b73f09d41af164193a3e0b5e22fcce80d503.tar.bz2
aports-9085b73f09d41af164193a3e0b5e22fcce80d503.tar.xz
Added KDE core packages
Diffstat (limited to 'testing/kfilemetadata/APKBUILD')
-rw-r--r--testing/kfilemetadata/APKBUILD46
1 files changed, 46 insertions, 0 deletions
diff --git a/testing/kfilemetadata/APKBUILD b/testing/kfilemetadata/APKBUILD
new file mode 100644
index 0000000000..5477923228
--- /dev/null
+++ b/testing/kfilemetadata/APKBUILD
@@ -0,0 +1,46 @@
+# Contributor: k0r10n <k0r10n.dev@gmail.com>
+# Maintainer:
+pkgname=kfilemetadata
+pkgver=4.13.3
+pkgrel=0
+pkgdesc="A library for extracting file metadata"
+url="https://projects.kde.org/projects/kde/kdelibs/kfilemetadata"
+arch="all"
+license="LGPL"
+depends=
+depends_dev="kdegraphics-mobipocket-dev ebook-tools-dev
+ poppler-qt4-dev taglib-dev extra-cmake-modules
+ ffmpeg-dev"
+makedepends="$depends_dev cmake automoc4"
+install=""
+subpackages="$pkgname-dev"
+source="ftp://ftp.kde.org/pub/kde/stable/${pkgver}/src/${pkgname}-${pkgver}.tar.xz"
+
+_builddir="$srcdir"/${pkgname}-${pkgver}
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ mkdir -p "$_builddir"/build
+}
+
+build() {
+ cd "$_builddir"/build
+ cmake -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release \
+ -Wno-dev "$_builddir" || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"/build
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="7456cdbe4a3986ed75706049d2c36c2b kfilemetadata-4.13.3.tar.xz"
+sha256sums="0777d591dd4328f83bdede9764fe7d70923baed0ccad779d9cc3aaddaefef4cf kfilemetadata-4.13.3.tar.xz"
+sha512sums="e8fdb7699c37af227db14e55696fb3b4f012e9f1f3cceec988b52f9f4b9d6406ffc340f60a00ce144764a9fce57d1052979b94bf19ccb3da56495c76a1f10381 kfilemetadata-4.13.3.tar.xz"